// Code generated by go-swagger; DO NOT EDIT.

package virtual_machines

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// VMListOKCode is the HTTP code returned for type VMListOK
const VMListOKCode int = 200

/*VMListOK A successful response.

swagger:response vmListOK
*/
type VMListOK struct {

	/*
	  In: Body
	*/
	Payload *models.VMListResponse `json:"body,omitempty"`
}

// NewVMListOK creates VMListOK with default headers values
func NewVMListOK() *VMListOK {

	return &VMListOK{}
}

// WithPayload adds the payload to the vm list o k response
func (o *VMListOK) WithPayload(payload *models.VMListResponse) *VMListOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm list o k response
func (o *VMListOK) SetPayload(payload *models.VMListResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMListOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*VMListDefault An unexpected error response

swagger:response vmListDefault
*/
type VMListDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewVMListDefault creates VMListDefault with default headers values
func NewVMListDefault(code int) *VMListDefault {
	if code <= 0 {
		code = 500
	}

	return &VMListDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the vm list default response
func (o *VMListDefault) WithStatusCode(code int) *VMListDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the vm list default response
func (o *VMListDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the vm list default response
func (o *VMListDefault) WithPayload(payload *models.Error) *VMListDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm list default response
func (o *VMListDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMListDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
